
Smart Proxy - Bug #12466

Parsing subnets for ISC DHCP fails

11/13/2015 04:56 AM - Brandon Weeks

Status: Closed   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/340

  

Description

https://github.com/theforeman/smart-proxy/commit/e2a21ecff6cf153890e93ad7c28a932396ae02d8#diff-79ebe89624de84cfd48356d

119a4b25dR152

This commit seems to have caused a regression. This error is seen when running `smart-proxy` in the foreground.

/usr/share/foreman-proxy/modules/dhcp/providers/server/isc.rb:152: warning: regexp has invalid interval

/usr/share/foreman-proxy/modules/dhcp/providers/server/isc.rb:152: warning: regexp has `}' without escape

Related issues:

Related to Smart Proxy - Feature #12211: Improve DHCP subnets parsing to get ... Closed 10/19/2015

Associated revisions

Revision 2f513ecd - 11/23/2015 07:51 AM - Dmitri Dolguikh 

Fixes #12466: isc dhcp provider handles subnet block declarations correctly now.

History

#1 - 11/13/2015 04:57 AM - Dominic Cleal

- Related to Feature #12211: Improve DHCP subnets parsing to get more informations from DHCP server added

#2 - 11/13/2015 04:57 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#3 - 11/13/2015 05:56 AM - Baptiste Agasse

Parsing fail to retrieve subnet infos or just print warnings in logs ?

#4 - 11/13/2015 06:01 AM - Brandon Weeks

Sorry I should have been more clear, it no longer find any subnets.

Nightly:

D, [2015-11-13T04:39:25.710406 #10145] DEBUG -- : verifying remote client

D, [2015-11-13T04:39:25.715928 #10145] DEBUG -- : Reading config file /etc/dhcp/dhcpd.conf

D, [2015-11-13T04:39:25.716226 #10145] DEBUG -- : Reading config file /etc/dhcp/dhcpd.hosts

D, [2015-11-13T04:39:25.716522 #10145] DEBUG -- : Reading config file /var/lib/dhcpd/dhcpd.leases

D, [2015-11-13T04:39:25.716793 #10145] DEBUG -- : Loading subnets for 127.0.0.1

E, [2015-11-13T04:39:25.717411 #10145] ERROR -- : Subnet 192.168.132.0 not found

I, [2015-11-13T04:39:25.717570 #10145]  INFO -- : 192.168.18.41 - - [13/Nov/2015 04:39:25] "GET /192.168.132.0/192.168.132.85 HTTP/1.1"

404 30 0.0073

 1.10RC2:

D, [2015-11-13T05:21:57.231388 #27949] DEBUG -- : Reading config file /etc/dhcp/dhcpd.conf

D, [2015-11-13T05:21:57.231519 #27949] DEBUG -- : Reading config file /etc/dhcp/dhcpd.hosts
D, [2015-11-13T05:21:57.231679 #27949] DEBUG -- : Reading config file /var/lib/dhcpd/dhcpd.leases

D, [2015-11-13T05:21:57.231919 #27949] DEBUG -- : Loading subnets for 127.0.0.1

D, [2015-11-13T05:21:57.232025 #27949] DEBUG -- : Added a subnet: 192.168.129.0

D, [2015-11-13T05:21:57.232197 #27949] DEBUG -- : Added a subnet: 192.168.132.0

D, [2015-11-13T05:21:57.232458 #27949] DEBUG -- : Added a subnet: 172.23.104.0

D, [2015-11-13T05:21:57.232812 #27949] DEBUG -- : Added a subnet: 172.23.106.0

#5 - 11/16/2015 04:42 AM - Baptiste Agasse

Brandon, can you please apply the patch bellow:

diff --git a/modules/dhcp/providers/server/isc.rb b/modules/dhcp/providers/server/isc.rb

index 8f13fb3..c1dd08f 100644

--- a/modules/dhcp/providers/server/isc.rb

+++ b/modules/dhcp/providers/server/isc.rb

@@ -149,7 +149,7 @@ module Proxy::DHCP

     def parse_config_for_subnets

       ret_val = []

       # Extract subnets config block

-      @config.scan(/subnet\s+([\d\.]+)\s+netmask\s+([\d\.]+)\s*{([\w|;|\.|,|\-|\s]*)}/) do |match|

+      @config.scan(/subnet\s+([\d\.]+)\s+netmask\s+([\d\.]+)\s*\{([\w|;|\.|,|\-|\s]*)\}/) do |match|

         network, netmask, subnet_config_lines = match

         options = {}

         if subnet_config_lines

#6 - 11/16/2015 01:13 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/340 added

#7 - 11/23/2015 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2f513ecd306e97f29024d5457c1f0692b99ad0a9.
